cURL
curl --request POST \
--url https://api.comm.com/api/v1/audience/companies/balance/summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endRow": 2,
"sortModel": [
{
"sort": "asc",
"colId": "log_date"
}
],
"filterModel": {
"campaign_name": {
"filterType": "text",
"type": "contains",
"filter": "multi"
}
},
"rowGroupCols": [
{
"id": "campaign_name",
"displayName": "Campaign_name",
"field": "campaign_name"
}
],
"groupKeys": [
"<string>"
],
"startRow": 1,
"groupByAll": true
}
'import requests
url = "https://api.comm.com/api/v1/audience/companies/balance/summary"
payload = {
"endRow": 2,
"sortModel": [
{
"sort": "asc",
"colId": "log_date"
}
],
"filterModel": { "campaign_name": {
"filterType": "text",
"type": "contains",
"filter": "multi"
} },
"rowGroupCols": [
{
"id": "campaign_name",
"displayName": "Campaign_name",
"field": "campaign_name"
}
],
"groupKeys": ["<string>"],
"startRow": 1,
"groupByAll": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endRow: 2,
sortModel: [{sort: 'asc', colId: 'log_date'}],
filterModel: {campaign_name: {filterType: 'text', type: 'contains', filter: 'multi'}},
rowGroupCols: [{id: 'campaign_name', displayName: 'Campaign_name', field: 'campaign_name'}],
groupKeys: ['<string>'],
startRow: 1,
groupByAll: true
})
};
fetch('https://api.comm.com/api/v1/audience/companies/balance/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"client_routing_company_id": "<string>",
"amount": "<string>",
"balance_type": "<string>",
"meta": "<string>",
"date_created": "<string>"
}
],
"meta": {
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Companies
Post v1audiencecompaniesbalancesummary
POST
/
v1
/
audience
/
companies
/
balance
/
summary
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required range:
x >= 1Show child attributes
Show child attributes
Example:
[{ "sort": "asc", "colId": "log_date" }]
Show child attributes
Show child attributes
Example:
{
"campaign_name": {
"filterType": "text",
"type": "contains",
"filter": "multi"
}
}
Show child attributes
Show child attributes
Example:
[
{
"id": "campaign_name",
"displayName": "Campaign_name",
"field": "campaign_name"
}
]
Required range:
x >= 0⌘I